Perform action on a posting
POST /internal/postings/{postingId}/action
POST
/internal/postings/{postingId}/action
Perform an action (hire, reject, save, unsave) on a job posting (internal API)
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” postingId
required
string
Posting ID (UUID)
Request Body
Section titled “Request Body ”Action data
object
action
required
string
actorId
required
string
professionalId
required
string
Responses
Section titled “ Responses ”No Content - Action performed successfully
Bad request - validation error
object
error
string
some meaningful error messagePosting not found
object
error
string
some meaningful error messageInternal server error
object
error
string
some meaningful error message